Bug 4276

Summary: Watch property Value is read/write.
Product: debugger Reporter: Daniel Prusa <dprusa>
Component: CodeAssignee: Daniel Prusa <dprusa>
Status: CLOSED FIXED QA Contact: issues <issues.netbeans.org>
Priority: P1    
Version: 3.x   
Target Milestone: TBD   
Hardware: All   
OS: All   
Whiteboard:
Issue Type: DEFECT Exception Report:

Description Daniel Prusa 1999-10-06 20:19:21 UTC
I think, the watch property Value (of variable) should be only `read`.
If I try to modify this property during debugging, the message window with caption Exception and text `Exception in setter method of property: Value` appears.

[IAN] It *should* be possible to modify watches during debugging - the only interesting thing here is the exception, which you did not include...

[Dan]
1) Using Standard Debugging, when I try to modify a local variable, the following exception is thrown:     (and the previously described message window appears)

java.lang.IllegalArgumentException: This version of the debugger does not support changing the value of static or local variables.
        at com.netbeans.developer.modules.debugger.debug.ToolsVariable$1.protect(ToolsVariable.java:143)
        at com.netbeans.developer.modules.debugger.support.util.Protector.run(102)

        at com.netbeans.developer.modules.debugger.support.util.RequestSynchronizer$1.run(62)

The modification of a nonlocal variable is OK (it works).

There is a small inconsistence - add watch for nonlocal variable two times, stop debugger, edit the first watch - a new value is displayed, but the second watch displays the old value. It is OK after
Debugger is runned and stopped again.

2) Using JPDA Debugging - nonlocal variables cannot be modified. They stay unchanged if I try to enter         a new value.
Comment 1 Jan Stola 2000-07-27 16:13:59 UTC
Verified in Build 2011.
Comment 2 Quality Engineering 2003-07-02 16:03:36 UTC
Resolved for 3.4.x or earlier, no new info since then -> closing.
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo